/**
 * Copyright (c) 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.command;

import org.ow2.petals.cli.api.command.AbstractCommand;
import org.ow2.petals.cli.api.command.exception.CommandException;

/**
 * A dummy command for unit tests: "dummy"
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class CommandNotRequiringConnection extends AbstractCommand {

    public static final String NAME = "command-not-requiring-connection";

    public static final String SUCCESSFUL_OUTPUT = NAME + " is ok";

    public CommandNotRequiringConnection() {
        super(NAME);
    }

	@Override
    public void doExecute(final String[] args) throws CommandException {
        this.getShell().getPrintStream().println(SUCCESSFUL_OUTPUT);
    }

    @Override
    public boolean isConnectionRequired() {
        return false;
    }
}