/**
 * Copyright (c) 2014-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.command;

import org.ow2.petals.cli.api.command.AbstractCommand;
import org.ow2.petals.cli.api.command.DisconnectionCommand;
import org.ow2.petals.cli.api.command.exception.CommandException;
import org.ow2.petals.cli.api.command.exception.DisconnectionErrorException;

/**
 * A dummy disconnection command for unit tests
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class Disconnect extends AbstractCommand implements DisconnectionCommand {

    public static final String NAME = "disconnect-command";

    public static final String SUCCESSFUL_OUTPUT = NAME + " is ok";

    public Disconnect() {
        super(NAME);
    }

    @Override
    public void doExecute(final String[] args) throws CommandException {
        this.disconnect();
        this.getShell().getPrintStream().println(SUCCESSFUL_OUTPUT);
    }

    @Override
    public void disconnect() throws DisconnectionErrorException, CommandException {
        Connect.IS_CONNECTED = false;
        this.getShell().onDisconnection();
    }

    @Override
    public boolean isConnected() throws DisconnectionErrorException {
        return Connect.IS_CONNECTED;
    }
}
